import amountUtils from "./amountUtils";

const { numAdd, numMulti } = amountUtils

export function genTableSumRecord(records, cols, enlarge) {
  let initRecord = cols.reduce((obj, col)=>({ ...obj, [col]:0 }),{});
  const result = records.reduce(
    (pre, cur, index) => {
      cols.forEach(col=>{
        pre[col] = numAdd(pre[col], numMulti(enlarge, cur[col]||0));
      })
      return pre;
    },
    initRecord
  );
  return result;
}